/**
 * output package name
 */
package com.kingdee.eas.custom.notify.bziEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ReturnStateEnum extends StringEnum
{
    public static final String UNKNOWNOPTION_VALUE = "0";//alias=未操作
    public static final String OPERATIONFAILURE_VALUE = "1";//alias=操作失败
    public static final String OPERATESUCCESS_VALUE = "2";//alias=操作成功

    public static final ReturnStateEnum UnknownOption = new ReturnStateEnum("UnknownOption", UNKNOWNOPTION_VALUE);
    public static final ReturnStateEnum OperationFailure = new ReturnStateEnum("OperationFailure", OPERATIONFAILURE_VALUE);
    public static final ReturnStateEnum OperateSuccess = new ReturnStateEnum("OperateSuccess", OPERATESUCCESS_VALUE);

    /**
     * construct function
     * @param String returnStateEnum
     */
    private ReturnStateEnum(String name, String returnStateEnum)
    {
        super(name, returnStateEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ReturnStateEnum getEnum(String returnStateEnum)
    {
        return (ReturnStateEnum)getEnum(ReturnStateEnum.class, returnStateEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ReturnStateEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ReturnStateEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ReturnStateEnum.class);
    }
}